Package org.eclipse.rdf4j.sail.lucene.config

## Class LuceneSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig
      - - org.eclipse.rdf4j.sail.lucene.config.LuceneSailConfig

- All Implemented Interfaces:
    `DelegatingSailImplConfig`, `SailImplConfig`

      public class LuceneSailConfig
      extends AbstractLuceneSailConfig

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LuceneSailConfig()` |
    `LuceneSailConfig​(String luceneDir)` |
    `LuceneSailConfig​(String luceneDir, SailImplConfig delegate)` |
    `LuceneSailConfig​(SailImplConfig delegate)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig

      `export, getIndexDir, getParameter, getParameterNames, parse, setIndexDir, setParameter`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### LuceneSailConfig

          public LuceneSailConfig()

    - #### LuceneSailConfig

          public LuceneSailConfig​(SailImplConfig delegate)

    - #### LuceneSailConfig

          public LuceneSailConfig​(String luceneDir)

    - #### LuceneSailConfig

          public LuceneSailConfig​(String luceneDir,
                                  SailImplConfig delegate)